This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 483157 - repoquery --changelog UnicodeDecodeError
repoquery --changelog UnicodeDecodeError
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 16:19 EST by Ville-Pekka Vainio
Modified: 2014-01-21 18:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 14:10:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville-Pekka Vainio 2009-01-29 16:19:03 EST
Description of problem:
Repoquery throws a UnicodeDecodeError with the --changelog switch. For example:

repoquery --changelog NetworkManager-pptp
Traceback (most recent call last):
  File "/usr/bin/repoquery", line 857, in <module>
    main(sys.argv)
  File "/usr/bin/repoquery", line 853, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 501, in runQuery
    print pkg.doQuery(oper)
  File "/usr/lib/python2.5/codecs.py", line 303, in write
    data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 10: ordinal not in range(128)

This doesn't seem to be limited to that specific package, I also tested with the kernel package with similar results.

Version-Release number of selected component (if applicable):
yum-utils-1.1.19-1.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. Do a "repoquery --changelog" query
  
Actual results:
UnicodeDecodeError

Expected results:
Repoquery should show the changelog
Comment 1 seth vidal 2009-02-27 15:18:10 EST
LANG set to fi_FI.utf8, I assume?

replicate with:

LANG=fi_FI.utf8 repoquery --changelog NetworkManager-pptp
Comment 2 Ville-Pekka Vainio 2009-02-27 15:26:05 EST
(In reply to comment #1)
> LANG set to fi_FI.utf8, I assume?

Yes.

> LANG=fi_FI.utf8 repoquery --changelog NetworkManager-pptp

Same error, but works with LANG=C.
Comment 3 James Antill 2009-02-27 17:35:58 EST
Reproducible on F10 too, fixed upstream
Comment 4 Ville-Pekka Vainio 2009-07-03 14:10:43 EDT
Works on F11 now.

Note You need to log in before you can comment on or make changes to this bug.